## salt-2014.7.0.tar.gz

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
SPHINXLANG    =

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# ----- Translations Support ------------------------------------------------>
#  If language is set, also set translation options
ifeq ($(shell [ "x$(SPHINXLANG)" != "x" ] && echo 0 || echo 1), 0)
TRANSLATIONOPTS = -D language='$(SPHINXLANG)'
else
TRANSLATIONOPTS =
endif

#  Reset settings if sphinx-intl is not available
ifeq ($(shell which sphinx-intl >/dev/null 2>&1; echo $$?), 1)
SPHINXLANG =
TRANSLATIONOPTS =
endif
# <---- Translations Support -------------------------------------------------

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(TRANSLATIONOPTS) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext translations download-translations

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	test -d 'locale' && find locale/ -name *.mo -exec rm {} \;

html: translations
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: translations
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: translations
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: translations
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: translations
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: translations
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: translations
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Salt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Salt.qhc"

devhelp: translations
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Salt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Salt"
	@echo "# devhelp"

epub: translations
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

xetexpdf: translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through xelatex..."
	cd $(BUILDDIR)/latex; xelatex *.tex && xelatex *.tex && xelatex *.tex; cd -
	@echo "xelatex finished; the PDF files are in $(BUILDDIR)/latex."

text: translations
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: translations
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: translations
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: translations
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale"

changes: translations
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spell check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/spelling/output.txt."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: translations
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: translations
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."


translations:
	
	@if [ "$(SPHINXLANG)" = "en" ] || [ "x$(SPHINXLANG)" = "x" ]; then \
		echo "No need to update translations. Skipping..."; \
	elif [ ! -d locale/$(SPHINXLANG) ]; then \
		echo "The locale directory for $(SPHINXLANG) does not exist"; \
		exit 1; \
	else \
		echo "Compiling exising message catalog for '$(SPHINXLANG)'"; \
		.scripts/compile-translation-catalogs; \
	fi

download-translations:
	@echo "Downloading $(SPHINXLANG) translations"
	.scripts/download-translation-catalog $(SPHINXLANG)

=== pkg/smartos/esky/requirements.txt ===
GitPython==0.3.2.RC1
halite
-r ../../../opt_requirements.txt
-r ../../../cloud-requirements.txt

=== debian/changelog ===
salt (2014.1.0-1) unstable; urgency=low

  * New upstream version

 -- Bret Palsson <bretep@gmail.com>  Thu, 20 Mar 2014 14:00:54 -0700

salt (0.17.0-1) unstable; urgency=low

  * New upstream version

 -- Joe Healy <joehealy@gmail.com>  Mon, 07 Oct 2013 20:48:54 +1100

salt (0.16.0-1) unstable; urgency=low

  * New upstream version

 -- Corey Quinn <corey@sequestered.net>  Mon, 01 Jul 2013 08:39:24 -0700

salt (0.15.3-1) unstable; urgency=low

  * New upstream version

 -- Corey Quinn <corey@sequestered.net>  Sat, 01 Jun 2013 16:34:12 -0700

salt (0.15.2-1) unstable; urgency=low

  * New upstream version

 -- Corey Quinn <corey@sequestered.net>  Wed, 29 May 2013 06:55:32 -0700

salt (0.15.1-1) unstable; urgency=low

  * New upstream version

 -- Corey Quinn <corey@sequestered.net>  Thu, 09 May 2013 11:08:04 -0700

salt (0.15.0-1) unstable; urgency=low

  * New upstream version

 -- Corey Quinn <corey@sequestered.net>  Mon, 06 May 2013 05:58:07 -0700

salt (0.14.1-1) unstable; urgency=low

  * new version

 -- Will Platnick <wplatnick@gmail.com>  Wed, 17 Apr 2013 20:10:10 -0700

salt (0.14.0-1) unstable; urgency=low

  * new version

 -- Sean Channel <pentabular@gmail.com>  Fri, 22 Mar 2013 20:10:10 -0700

salt (0.13.3-1) unstable; urgency=low

  * patch release for ipv6 issues

 -- Sean Channel <pentabular@gmail.com>  Mon, 18 Mar 2013 16:19:04 -0700

salt (0.13.2-1) unstable; urgency=low

  * bugfix release

 -- Sean Channel <pentabular@gmail.com>  Tue, 12 Mar 2013 14:26:25 -0700

salt (0.13.1-3) unstable; urgency=low

  * pre-depend on salt-common

 -- Sean Channel <pentabular@gmail.com>  Sat, 23 Feb 2013 12:15:49 -0800

salt (0.13.1) unstable; urgency=low

  * bugfix release

 -- Sean Channel <pentabular@gmail.com>  Sat, 16 Feb 2013 12:02:54 -0800

salt (0.13.0) unstable; urgency=low

  * new release

 -- Sean Channel <pentabular@gmail.com>  Sat, 9 Feb 2013 14:04:30 -0800

salt (0.12.1) unstable; urgency=low

  * bugfix release

 -- Sean Channel <pentabular@gmail.com>  Tue, 22 Jan 2013 08:35:36 -0800

salt (0.12.0) unstable; urgency=low

  * new Salt release

 -- Sean Channel <pentabular@gmail.com>  Sun, 13 Jan 2013 11:01:56 -0700

salt (0.11.1) unstable; urgency=low

  * new Salt release

 -- Sean Channel <pentabular@gmail.com>  Wed, 19 Dec 2012 23:27:14 -0700

salt (0.11.0) unstable; urgency=low

  * add bash_completion and ufw support files
  * use shared package support files in pkg/

 -- Sean Channel <pentabular@gmail.com>  Fri, 14 Dec 2012 10:52:35 -0700

salt (0.10.5-1) unstable; urgency=low

  * [f735ab9] Filter pyc files
  * [62462dd] New upstream version 0.10.5 (Closes: #690481)
  * [9726d8b] Install empty include dirs for salt-master and salt-minion.
  * [8705c6e] Build-depend on msgpack-python
  * [6832d36] Update config file templates

 -- Ulrich Dangel <uli@debian.org>  Mon, 19 Nov 2012 08:34:09 +0000

salt (0.10.5) unstable; urgency=low

  * new release
  * update for new run-time paths [f7eb703]
  * split up logrotate [75f1549]
  * remove upstart [51895d6]

 -- Sean Channel <pentabular@gmail.com>  Thu, 15 Nov 2012 23:51:50 -0700

salt (0.10.4-2) unstable; urgency=low

  * zmq3 support: b84f593770 86af5f03c3 c933c9e4ff a7e1d58f87 a5cdd8e313 c10bf6702f 2ea8b7e061 75f2a58b4e
  * HTML doc package: 7f673796e6 422244cd84 d13dbf0fc2 cfc44ee517 8c5675fb88
  * only run postrm on salt-common purge 5aa00b6bdd, bd2818797c
  * switch to debian init scripts 6db36a8307
  * add logrotate support cb9863e264
  * add systemd support 6f8a728b9d, 502434bccc
  * add dmidecode+pciutils to recommends 06dab92c56
  * misc & dependencies cleanup: 8f8d16c07c 7245c80bca bd68bf7a84

 -- Sean Channel <pentabular@gmail.com>  Wed, 14 Nov 2012 10:56:16 -0700

salt (0.10.4-1) unstable; urgency=low

  * [5431ef2] Imported Upstream version 0.10.4
  * [bcd48a0] Remove patch 'add_hacking_rst', applied upstream.
  * [3135d52] Fix salt-master restart (Patch by martin f. krafft)
    (Closes: #692064)
  * [15abbbb] Recommend lsb-release. With new upstream code this
    provides lsb* grains. (Closes: #690700)

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Sat, 10 Nov 2012 17:57:52 +0100

salt (0.10.4-1precise1) precise; urgency=low

  * New upstream version

 -- Tom Vaughan <thomas.david.vaughan@gmail.com>  Wed, 24 Oct 2012 10:53:56 -0300

salt (0.10.3) precise; urgency=low

  * New upstream version

 -- Tom Vaughan <thomas.david.vaughan@gmail.com>  Sun, 30 Aug 2012 13:34:10 -0700

salt (0.10.2-1~experimental+1) experimental; urgency=low

  * [cf57587] Import upstream version 0.10.2
  * [1ff7a9f] Add patch to create HACKING.rst

 -- Ulrich Dangel <uli@debian.org>  Sat, 04 Aug 2012 02:57:52 +0200

salt (0.10.2) precise; urgency=low

  * Non-maintainer upload.
  * New upstream version

 -- Dave Rawks <drawks@pandora.org>  Wed, 01 Aug 2012 13:34:10 -0700

salt (0.10.1-3) unstable; urgency=low

  * [efbd4a8] Change uploaders email address for Ulrich Dangel
  * [442ead1] Recommends dmidecode instead of Depend to support non-x86 systems.

 -- Ulrich Dangel <uli@debian.org>  Mon, 30 Jul 2012 12:40:53 +0200

salt (0.10.1-2) unstable; urgency=low

  * [bda6011] Add dmidecode to depends for salt-minion. (Closes: #680410)
  * [ad4786e] Depend on the same salt version
  * [671c2c3] Depend on debhelper version fixing #577040

 -- Ulrich Dangel <uli@debian.org>  Mon, 09 Jul 2012 23:15:27 +0200

salt (0.10.1-1) unstable; urgency=low

  [ Ulrich Dangel ]
  * [f1d627c] Always recreate orig.tar.gz with git-buildpackage

  [ Michael Prokop ]
  * Merge new upstream release
  * [ee1806a] Add python-augeas to suggests of salt-minion

 -- Michael Prokop <mika@debian.org>  Fri, 22 Jun 2012 18:56:02 +0200

salt (0.10.0-1) unstable; urgency=low

  [ Ulrich Dangel ]
  * Merge new upstream release
  * [bd10385] Change debian/source/format to quilt
  * [ba60137] Add ignore options
  * [54e70de] Copy service files from rpm package
  * [1d21548] Update install files
  * [c2737c9] Update pyversions file to use 2.6


=== debian/control ===
Source: salt
Section: admin
Priority: optional
Maintainer: Bret Palsson <bretep@gmail.com>
Build-Depends: debhelper (>= 7.0.50),
               cython,
               python | python-all | python-dev | python-all-dev,
               python-crypto,
               python-jinja2,
               python-m2crypto,
               python-requests,
               python-setuptools,
               python-sphinx,
               python-yaml,
               python-zmq,
               msgpack-python
Standards-Version: 3.9.3
Homepage: http://saltstack.org
XS-Python-Version: >= 2.6, <= 2.7


Package: salt-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
         python, python-support, python-pkg-resources,
         python-crypto,
         python-jinja2,
         python-m2crypto,
         python-requests,
         python-yaml,
         python-zmq,
         dctrl-tools,
         msgpack-python
Recommends: dmidecode, pciutils
Description: Shared libraries that salt requires for all packages
 This package is a powerful remote execution manager that can be used
 to administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of servers. This
 means systems can be easily managed, but data can also be easily gathered.
 Quick introspection into running systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a remote
 system. Salt addresses this problem as well, the salt state system uses
 salt state files to define the state a server needs to be in.
 .
 Between the remote execution system, and state management Salt addresses
 the backbone of cloud and data center management.
 .
 This particular package provides shared libraries that salt-master,
 salt-minion, and salt-syndic require to function.


Package: salt-master
Architecture: all
Depends: ${misc:Depends}, python, python-support, python-pkg-resources
Pre-Depends: salt-common (= ${source:Version})
Description: This package provides a remote manager to administer servers via salt
 This package is a powerful remote execution manager that can be used
 to administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of servers. This
 means systems can be easily managed, but data can also be easily gathered.
 Quick introspection into running systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a remote
 system. Salt addresses this problem as well, the salt state system uses
 salt state files to define the state a server needs to be in.
 .
 Between the remote execution system, and state management Salt addresses
 the backbone of cloud and data center management.
 .
 This particular package provides the salt controller.


Package: salt-minion
Architecture: all
Depends: ${misc:Depends}, python, python-support, python-pkg-resources,
Pre-Depends: salt-common (= ${source:Version})
Recommends: debconf-utils
Description: This package represents the client package for salt
 This package is a powerful remote execution manager that can be used
 to administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of servers. This
 means systems can be easily managed, but data can also be easily gathered.
 Quick introspection into running systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a remote
 system. Salt addresses this problem as well, the salt state system uses
 salt state files to define the state a server needs to be in.
 .
 Between the remote execution system, and state management Salt addresses
 the backbone of cloud and data center management.
 .
 This particular package provides the worker / agent for salt.


Package: salt-syndic
Architecture: all
Depends: ${misc:Depends}, python, python-support, python-pkg-resources,
         salt-master (= ${source:Version})
Description: This package represents the master-of-masters for salt
 This package is a powerful remote execution manager that can be used
 to administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of servers. This
 means systems can be easily managed, but data can also be easily gathered.
 Quick introspection into running systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a remote
 system. Salt addresses this problem as well, the salt state system uses
 salt state files to define the state a server needs to be in.
 .
 Between the remote execution system, and state management Salt addresses
 the backbone of cloud and data center management.
 .
 This particular package provides the master of masters for salt-- it enables
 the management of multiple masters at a time..


Package: salt-ssh
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         salt-common (= ${source:Version}),
         sshpass
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt ssh controller. It
 is able to run salt modules and states on remote hosts via ssh.
 No minion or other salt specific software needs to be installed
 on the remote host.


Package: salt-cloud
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
         salt-common (= ${source:Version}),
         sshpass
Suggests: python-botocore
Recommends: python-netaddr
Description: public cloud VM management system
 provision virtual machines on various public clouds via a cleanly 
 controlled profile and mapping system.


Package: salt-api
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         python,
         salt-master
Recommends: python-cherrypy3
Description: Generic, modular network access system
 a modular interface on top of Salt that can provide a variety of entry points
 into a running Salt system. It can start and manage multiple interfaces
 allowing a REST API to coexist with XMLRPC or even a Websocket API.
 . 
 The Salt API system is used to expose the fundamental aspects of Salt control
 to external sources. salt-api acts as the bridge between Salt itself and
 REST, Websockets, etc.
 .
 Documentation is available on Read the Docs:
 .
 http://salt-api.readthedocs.org/


Package: salt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libjs-sphinxdoc
Description: additional documentation for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the HTML documentation for
 salt.

=== pkg/arch/git/PKGBUILD ===
# Maintainer: Christer Edwards <christer.edwards@gmail.com>
pkgname=salt-git
_gitname="salt"
pkgver=v0.15.0.1086.gfaf0bcf
pkgrel=1
pkgdesc="A remote execution and communication system built on zeromq"
arch=('any')
url="https://github.com/saltstack/salt"
license=('APACHE')
groups=()
depends=('python2'
         'python2-yaml'
         'python2-jinja'
         'python2-pyzmq'
         'python2-crypto'
         'python2-psutil'
         'python2-msgpack'
         'python2-m2crypto'
         'logrotate'
         'bash-completion')

backup=('etc/salt/master'
        'etc/salt/minion')

makedepends=('git')
conflicts=('salt')
provides=('salt' 'bash-completion-salt')
install="salt.install"

# makepkg 4.1 knows about git and will pull main branch
source=("git://github.com/saltstack/salt.git")

# makepkg knows it's a git repo because the url starts with 'git'
# it then knows to checkout the branch upon cloning, expediating versioning.
#branch="develop"
#source=("git://github.com/saltstack/salt.git#branch=$branch")

# makepkg also knows about tags
#tags="v0.14.1"
#source=("git://github.com/saltstack/salt.git#tag=$tag")

# because the sources are not static, skip checksums
md5sums=('SKIP')

pkgver() {
  cd "$srcdir/$_gitname"
  echo $(git describe --always | sed 's/-/./g')
  # for git, if the repo has no tags, comment out the above and uncomment the next line:
  #echo "0.$(git rev-list --count $branch).$(git describe --always)"
  # This will give you a count of the total commits and the hash of the commit you are on.
  # Useful if you're making a repository with git packages so that they can have sequential
  # version numbers. (Else a pacman -Syu may not update the package)
}

#build() {
#  cd "${srcdir}/${_gitname}"
#  python2 setup.py build 
   # no need to build setup.py install will do this
#}

package() {
  cd "${srcdir}/${_gitname}"

  ## build salt
  python2 setup.py install --root=${pkgdir}/ --optimize=1

  ## install salt systemd service files
  install -Dm644 ${srcdir}/salt/pkg/arch/salt-master.service ${pkgdir}/usr/lib/systemd/system/salt-master.service
  install -Dm644 ${srcdir}/salt/pkg/arch/salt-syndic.service ${pkgdir}/usr/lib/systemd/system/salt-syndic.service
  install -Dm644 ${srcdir}/salt/pkg/arch/salt-minion.service ${pkgdir}/usr/lib/systemd/system/salt-minion.service

  ## install salt config files
  mkdir -p ${pkgdir}/etc/salt/master.d
  mkdir -p ${pkgdir}/etc/salt/minion.d
  cp ${srcdir}/salt/conf/master ${pkgdir}/etc/salt/
  cp ${srcdir}/salt/conf/minion ${pkgdir}/etc/salt/

  ## install logrotate:
  mkdir -p ${pkgdir}/etc/logrotate.d/
  install -Dm644 ${srcdir}/salt/pkg/salt-common.logrotate ${pkgdir}/etc/logrotate.d/salt

  ## install bash-completion
  mkdir -p ${pkgdir}/usr/share/bash-completion/completion/
  install -Dm644 ${srcdir}/salt/pkg/salt.bash ${pkgdir}/usr/share/bash-completion/completion/salt

  # remove vcs leftovers
  find "$pkgdir" -type d -name .git -exec rm -r '{}' +
}

=== pkg/macports/ports/sysutils/salt/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 112969 2013-11-05 19:09:52Z ryandesign@macports.org $

PortSystem          1.0
PortGroup           github 1.0
PortGroup           python 1.0

github.setup        saltstack salt 2014.1.7 v
name                salt
categories          sysutils
platforms           darwin
maintainers         saltstack.com:cr
license             Apache-2
supported_archs     noarch

description         Salt is a Python-based remote execution, automation, \
                    configuration, and orchestration engine.

long_description    SaltStack is fast, scalable and flexible software for data \
                    center automation, from infrastructure and any cloud, \
                    to the entire application stack.

homepage            http://saltstack.com/

python.default_version 27
python.link_binaries_suffix

checksums           rmd160 bed86f177ad383e46b2e7435a41d84c56900eadf \
                    sha256 83845c84dcfc2528e42628de44a20a82a6d008c3514a3337dccd43aa94ec6a02

depends_build       port:py${python.version}-setuptools

depends_lib-append  port:py${python.version}-crypto \
                    port:py${python.version}-m2crypto \
                    port:py${python.version}-msgpack \
                    port:py${python.version}-pip \
                    port:py${python.version}-yaml \
                    port:py${python.version}-zmq \
                    port:swig-python

livecheck.type      regex
livecheck.regex     {topics/releases/([0-9]+\.[0-9]+\.[0-9]+)\.html}

startupitem.create        yes
startupitem.name          salt-minion
startupitem.netchange     yes
startupitem.logevents     yes
startupitem.logfile       ${prefix}/var/log/salt/minion
startupitem.executable    ${prefix}/bin/salt-minion

post-activate {

    file mkdir ${prefix}/etc/salt

    if ![file exists /etc/salt] {
        file link /etc/salt ${prefix}/etc/salt
    }

    if ![file exists /opt/local/etc/salt/minion] {
        file copy ${worksrcpath}/conf/minion /opt/local/etc/salt
    }

    if ![file exists ${prefix}/etc/salt/master] {
        file copy ${worksrcpath}/conf/master /opt/local/etc/salt
    }


    file copy -force ${worksrcpath}/pkg/darwin/com.saltstack.salt.master.plist /Library/LaunchDaemons
    file copy -force ${worksrcpath}/pkg/darwin/com.saltstack.salt.syndic.plist /Library/LaunchDaemons

}

post-destroot {
    notes-append "
This port configures a LaunchItem for salt-minion.

It also installs LaunchItems for the salt-master and the salt-syndic.

To start the salt-master via launchd, run
    
sudo launchctl load -w /Library/LaunchDaemons/com.saltstack.salt.master.plist

To start the salt-syndic via launchd, run

sudo launchctl load -w /Library/LaunchDaemons/com.saltstack.salt.syndic.plist

To disable launchd management for the master or syndic, run the appropriate
unload command:

sudo launchctl unload -w /Library/LaunchDaemons/com.saltstack.salt.master.plist
or
sudo launchctl unload -w /Library/LaunchDaemons/com.saltstack.salt.syndic.plist

"
}

=== debian/rules ===
#!/usr/bin/make -f

PKGFILES = pkg/*.service pkg/*.upstart pkg/*.logrotate
SALT_BIN = common minion master syndic

%:
	make -C doc html
	make -C doc man && cp -p doc/_build/man/* doc/man
	cp $(PKGFILES) debian
	for d in $(SALT_BIN); do \
	    cp pkg/salt.postrm debian/salt-$${d}.postrm; done
	dh $@ 

dh_override_auto_build:
	python setup.py build

override_dh_installdeb:
	dh_installdeb
	find . -type f -regex .*/usr/bin/.* -exec sed -i -e 's/^\(#!\/usr\/bin\/\)env \(python\)$$/\1\2/' {} \;
